# -*- encoding: utf-8 -*-
# stub: adal 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "adal".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2024-05-16"
  s.description = "Windows Azure Active Directory authentication client library".freeze
  s.email = "nugetaad@microsoft.com".freeze
  s.files = [".gitignore".freeze, ".rubocop.yml".freeze, ".travis.yml".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "adal.gemspec".freeze, "contributing.md".freeze, "lib/adal.rb".freeze, "lib/adal/authentication_context.rb".freeze, "lib/adal/authentication_parameters.rb".freeze, "lib/adal/authority.rb".freeze, "lib/adal/cache_driver.rb".freeze, "lib/adal/cached_token_response.rb".freeze, "lib/adal/client_assertion.rb".freeze, "lib/adal/client_assertion_certificate.rb".freeze, "lib/adal/client_credential.rb".freeze, "lib/adal/core_ext.rb".freeze, "lib/adal/core_ext/hash.rb".freeze, "lib/adal/jwt_parameters.rb".freeze, "lib/adal/logger.rb".freeze, "lib/adal/logging.rb".freeze, "lib/adal/memory_cache.rb".freeze, "lib/adal/mex_request.rb".freeze, "lib/adal/mex_response.rb".freeze, "lib/adal/noop_cache.rb".freeze, "lib/adal/oauth_request.rb".freeze, "lib/adal/request_parameters.rb".freeze, "lib/adal/self_signed_jwt_factory.rb".freeze, "lib/adal/templates/rst.13.xml.erb".freeze, "lib/adal/templates/rst.2005.xml.erb".freeze, "lib/adal/token_request.rb".freeze, "lib/adal/token_response.rb".freeze, "lib/adal/user_assertion.rb".freeze, "lib/adal/user_credential.rb".freeze, "lib/adal/user_identifier.rb".freeze, "lib/adal/user_information.rb".freeze, "lib/adal/util.rb".freeze, "lib/adal/version.rb".freeze, "lib/adal/wstrust_request.rb".freeze, "lib/adal/wstrust_response.rb".freeze, "lib/adal/xml_namespaces.rb".freeze, "samples/authorization_code_example/README.md".freeze, "samples/authorization_code_example/web_app.rb".freeze, "samples/client_assertion_certificate_example/README.md".freeze, "samples/client_assertion_certificate_example/app.rb".freeze, "samples/on_behalf_of_example/README.md".freeze, "samples/on_behalf_of_example/native_app.rb".freeze, "samples/on_behalf_of_example/web_api.rb".freeze, "samples/user_credentials_example/README.md".freeze, "samples/user_credentials_example/app.rb".freeze, "spec/adal/authentication_context_spec.rb".freeze, "spec/adal/authentication_parameters_spec.rb".freeze, "spec/adal/authority_spec.rb".freeze, "spec/adal/cache_driver_spec.rb".freeze, "spec/adal/cached_token_response_spec.rb".freeze, "spec/adal/client_assertion_certificate_spec.rb".freeze, "spec/adal/client_assertion_spec.rb".freeze, "spec/adal/core_ext/hash_spec.rb".freeze, "spec/adal/logging_spec.rb".freeze, "spec/adal/memory_cache_spec.rb".freeze, "spec/adal/mex_request_spec.rb".freeze, "spec/adal/mex_response_spec.rb".freeze, "spec/adal/self_signed_jwt_factory_spec.rb".freeze, "spec/adal/token_request_spec.rb".freeze, "spec/adal/token_response_spec.rb".freeze, "spec/adal/user_credential_spec.rb".freeze, "spec/adal/user_identifier_spec.rb".freeze, "spec/adal/wstrust_request_spec.rb".freeze, "spec/adal/wstrust_response_spec.rb".freeze, "spec/fixtures/mex/insecureaddress.xml".freeze, "spec/fixtures/mex/invalid_namespaces.xml".freeze, "spec/fixtures/mex/malformed.xml".freeze, "spec/fixtures/mex/microsoft.xml".freeze, "spec/fixtures/mex/multiple_endpoints.xml".freeze, "spec/fixtures/mex/no_matching_bindings.xml".freeze, "spec/fixtures/mex/no_username_token_policies.xml".freeze, "spec/fixtures/mex/no_wstrust_endpoints.xml".freeze, "spec/fixtures/mex/only_13.xml".freeze, "spec/fixtures/mex/only_2005.xml".freeze, "spec/fixtures/oauth/error.json".freeze, "spec/fixtures/oauth/success.json".freeze, "spec/fixtures/oauth/success_with_id_token.json".freeze, "spec/fixtures/wstrust/error.xml".freeze, "spec/fixtures/wstrust/invalid_namespaces.xml".freeze, "spec/fixtures/wstrust/missing_security_tokens.xml".freeze, "spec/fixtures/wstrust/success.xml".freeze, "spec/fixtures/wstrust/token.xml".freeze, "spec/fixtures/wstrust/too_many_security_tokens.xml".freeze, "spec/fixtures/wstrust/unrecognized_token_type.xml".freeze, "spec/fixtures/wstrust/wstrust.13.xml".freeze, "spec/fixtures/wstrust/wstrust.2005.xml".freeze, "spec/spec_helper.rb".freeze, "spec/support/fake_data.rb".freeze, "spec/support/fake_token_endpoint.rb".freeze]
  s.homepage = "http://github.com/AzureAD/azure-activedirectory-library-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "ADAL for Ruby".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<jwt>.freeze, ["< 3"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<uri_template>.freeze, ["~> 0.7"])
    s.add_development_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<sinatra>.freeze, ["< 5"])
    s.add_development_dependency(%q<webmock>.freeze, ["< 4"])
  else
    s.add_dependency(%q<jwt>.freeze, ["< 3"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_dependency(%q<uri_template>.freeze, ["~> 0.7"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_dependency(%q<rubocop>.freeze, ["< 2"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.10"])
    s.add_dependency(%q<sinatra>.freeze, ["< 5"])
    s.add_dependency(%q<webmock>.freeze, ["< 4"])
  end
end
